Package com.emc.d2fs.models.x3_space

# Class X3Space

java.lang.Object
com.emc.d2fs.models.x3_space.X3Space

All Implemented Interfaces:
  `Serializable`

public class X3Space extends Object implements Serializable

Java class for x3_space complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="x3_space">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="spaceConfigName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="spaceLabel" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="spaceDescription" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="spaceXml" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="spacePreviewData" type="{http://www.w3.org/2001/XMLSchema}base64Binary" />
           <attribute name="spacePreviewDataString" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="spacePreviewMime" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="spaceIconData" type="{http://www.w3.org/2001/XMLSchema}base64Binary" />
           <attribute name="spaceIconDataString" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="spaceIconMime" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="locked" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="default" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="skinConfigName" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X3Space()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSkinConfigName()`
  Gets the value of the skinConfigName property.
  `String`
  `getSpaceConfigName()`
  Gets the value of the spaceConfigName property.
  `String`
  `getSpaceDescription()`
  Gets the value of the spaceDescription property.
  `byte[]`
  `getSpaceIconData()`
  Gets the value of the spaceIconData property.
  `String`
  `getSpaceIconDataString()`
  Gets the value of the spaceIconDataString property.
  `String`
  `getSpaceIconMime()`
  Gets the value of the spaceIconMime property.
  `String`
  `getSpaceLabel()`
  Gets the value of the spaceLabel property.
  `byte[]`
  `getSpacePreviewData()`
  Gets the value of the spacePreviewData property.
  `String`
  `getSpacePreviewDataString()`
  Gets the value of the spacePreviewDataString property.
  `String`
  `getSpacePreviewMime()`
  Gets the value of the spacePreviewMime property.
  `String`
  `getSpaceXml()`
  Gets the value of the spaceXml property.
  `Boolean`
  `isDefault()`
  Gets the value of the default property.
  `Boolean`
  `isLocked()`
  Gets the value of the locked property.
  `void`
  `setDefault(Boolean value)`
  Sets the value of the default property.
  `void`
  `setLocked(Boolean value)`
  Sets the value of the locked property.
  `void`
  `setSkinConfigName(String value)`
  Sets the value of the skinConfigName property.
  `void`
  `setSpaceConfigName(String value)`
  Sets the value of the spaceConfigName property.
  `void`
  `setSpaceDescription(String value)`
  Sets the value of the spaceDescription property.
  `void`
  `setSpaceIconData(byte[] value)`
  Sets the value of the spaceIconData property.
  `void`
  `setSpaceIconDataString(String value)`
  Sets the value of the spaceIconDataString property.
  `void`
  `setSpaceIconMime(String value)`
  Sets the value of the spaceIconMime property.
  `void`
  `setSpaceLabel(String value)`
  Sets the value of the spaceLabel property.
  `void`
  `setSpacePreviewData(byte[] value)`
  Sets the value of the spacePreviewData property.
  `void`
  `setSpacePreviewDataString(String value)`
  Sets the value of the spacePreviewDataString property.
  `void`
  `setSpacePreviewMime(String value)`
  Sets the value of the spacePreviewMime property.
  `void`
  `setSpaceXml(String value)`
  Sets the value of the spaceXml property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### X3Space

    public X3Space()

- ## Method Details

  - ### getSpaceConfigName

    public String getSpaceConfigName()
    Gets the value of the spaceConfigName property.
    Returns:
      possible object is `String`

  - ### setSpaceConfigName

    public void setSpaceConfigName(String value)
    Sets the value of the spaceConfigName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSpaceLabel

    public String getSpaceLabel()
    Gets the value of the spaceLabel property.
    Returns:
      possible object is `String`

  - ### setSpaceLabel

    public void setSpaceLabel(String value)
    Sets the value of the spaceLabel property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSpaceDescription

    public String getSpaceDescription()
    Gets the value of the spaceDescription property.
    Returns:
      possible object is `String`

  - ### setSpaceDescription

    public void setSpaceDescription(String value)
    Sets the value of the spaceDescription property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSpaceXml

    public String getSpaceXml()
    Gets the value of the spaceXml property.
    Returns:
      possible object is `String`

  - ### setSpaceXml

    public void setSpaceXml(String value)
    Sets the value of the spaceXml property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSpacePreviewData

    public byte[] getSpacePreviewData()
    Gets the value of the spacePreviewData property.
    Returns:
      possible object is byte[]

  - ### setSpacePreviewData

    public void setSpacePreviewData(byte[] value)
    Sets the value of the spacePreviewData property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getSpacePreviewDataString

    public String getSpacePreviewDataString()
    Gets the value of the spacePreviewDataString property.
    Returns:
      possible object is `String`

  - ### setSpacePreviewDataString

    public void setSpacePreviewDataString(String value)
    Sets the value of the spacePreviewDataString property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSpacePreviewMime

    public String getSpacePreviewMime()
    Gets the value of the spacePreviewMime property.
    Returns:
      possible object is `String`

  - ### setSpacePreviewMime

    public void setSpacePreviewMime(String value)
    Sets the value of the spacePreviewMime property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSpaceIconData

    public byte[] getSpaceIconData()
    Gets the value of the spaceIconData property.
    Returns:
      possible object is byte[]

  - ### setSpaceIconData

    public void setSpaceIconData(byte[] value)
    Sets the value of the spaceIconData property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getSpaceIconDataString

    public String getSpaceIconDataString()
    Gets the value of the spaceIconDataString property.
    Returns:
      possible object is `String`

  - ### setSpaceIconDataString

    public void setSpaceIconDataString(String value)
    Sets the value of the spaceIconDataString property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSpaceIconMime

    public String getSpaceIconMime()
    Gets the value of the spaceIconMime property.
    Returns:
      possible object is `String`

  - ### setSpaceIconMime

    public void setSpaceIconMime(String value)
    Sets the value of the spaceIconMime property.
    Parameters:
      `value` - allowed object is `String`

  - ### isLocked

    public Boolean isLocked()
    Gets the value of the locked property.
    Returns:
      possible object is `Boolean`

  - ### setLocked

    public void setLocked(Boolean value)
    Sets the value of the locked property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isDefault

    public Boolean isDefault()
    Gets the value of the default property.
    Returns:
      possible object is `Boolean`

  - ### setDefault

    public void setDefault(Boolean value)
    Sets the value of the default property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getSkinConfigName

    public String getSkinConfigName()
    Gets the value of the skinConfigName property.
    Returns:
      possible object is `String`

  - ### setSkinConfigName

    public void setSkinConfigName(String value)
    Sets the value of the skinConfigName property.
    Parameters:
      `value` - allowed object is `String`